<?php

/**
 * Plugin Name: Affiliate Madmimi Integration
 * Plugin URI: https://www.tipsandtricks-hq.com
 * Description: Affiliate Madmimi Integration addon allows you to add your affiliats to your Madmimi list after they signup.
 * Version: 1.1
 * Author: Tips and Tricks HQ
 * Author URI: https://www.tipsandtricks-hq.com/
 * Requires at least: 3.0
 */
if (!defined('ABSPATH'))
    exit;

include_once('madmimi-addon-settings.php');

add_action('wp_affiliate_autoresponder_signup', 'handle_affiliate_madmimi_signup');

function handle_affiliate_madmimi_signup($signup_data) {
    wp_affiliate_log_debug('Madmimi Addon - Received request for autoresponder signup action.', true);

    $firstname = $signup_data['firstname'];
    $lastname = $signup_data['lastname'];
    $email = $signup_data['email'];
    
    $madmimi_options = get_option('wpap_madmimi_integration_settings');
    $list_name = $madmimi_options['madmimi_listname'];

    //Do the signup
    affiliate_do_madmimi_signup_query($firstname, $lastname, $email, $list_name);
}

function affiliate_do_madmimi_signup_query($firstname, $lastname, $email, $list_name) {
    
    wp_affiliate_log_debug('Madmimi Integration - performing singup for: ' . $email . ', Listname: '. $list_name, true);
    
    include_once('lib/MadMimi.class.php');
    if (!class_exists('WPAP_MadMimi')) {
        wp_affiliate_log_debug("Madmimi integration - could not load the MadMimi API class. This addon will not work!", false);
        return;
    }

    $madmimi_options = get_option('wpap_madmimi_integration_settings');
    $madmimi_username = $madmimi_options['madmimi_username'];
    $madmimi_api_key = $madmimi_options['madmimi_api_key'];

    //in this array firstname and lastname are optional
    $userData = array(
        'email' => $email,
        'firstName' => $firstname,
        'lastName' => $lastname,
        'add_list' => $list_name,
    );


    $mailer = new WPAP_MadMimi($madmimi_username, $madmimi_api_key);
    $retval = $mailer->AddUser($userData, true);
    //TODO check $retval for NULL. Not NULL means success?

    wp_affiliate_log_debug("Madmimi signup complete!", true);
}