<?php

add_action('plugins_loaded', 'wpap_madmimi_plugins_loaded_handler');

function wpap_madmimi_plugins_loaded_handler() {
    add_action('admin_menu', 'add_wpap_madmimi_admin_menu');
}

function add_wpap_madmimi_admin_menu() {
    $parent_slug = WP_AFF_PLATFORM_PATH . 'wp_affiliate_platform1.php';
    $page_title = "Madmimi Integration";
    $menu_title = "Madmimi Integration";
    add_submenu_page($parent_slug, $page_title, $menu_title, 'manage_options', 'affiliate-infusionsoft', 'wpap_madmimi_settings_menu_page');
}

function wpap_madmimi_settings_menu_page()
{
    echo '<div class="wrap">';    
    echo '<div id="poststuff"><div id="post-body">';  
    echo '<h2>Mad Mimi Integration Settings</h2>';
    
    if(isset($_REQUEST['wpap_madmimi_save_settings']))
    {
        $options = array(
            'madmimi_username' => $_POST['madmimi_username'],
            'madmimi_api_key' => $_POST['madmimi_api_key'],
            'madmimi_listname' => $_POST['madmimi_listname'],
        );
        update_option('wpap_madmimi_integration_settings', $options); //store the results in WP options table
        
        echo '<div id="message" class="updated fade">';
        echo '<p>Mad Mimi Integration Settings Saved!</p>';
        echo '</div>';
    }
    
    $madmimi_options = get_option('wpap_madmimi_integration_settings');
    $madmimi_username = $madmimi_options['madmimi_username'];
    $madmimi_api_key = $madmimi_options['madmimi_api_key'];
    $madmimi_listname = $madmimi_options['madmimi_listname'];

    ?>
    <form method="post" action="">	
    <div class="postbox">
    <h3 class="hndle"><label for="title">Madmimi API Details</label></h3>
    <div class="inside">
    <table class="form-table">

    <tr valign="top"><td width="25%" align="left">
    Madmimi Username or Email
    </td><td align="left">
    <input name="madmimi_username" type="text" size="60" value="<?php echo $madmimi_username; ?>"/>
    <p class="description">Enter your Madmimi account username or email address.</p>
    </td></tr>
    
    <tr valign="top"><td width="25%" align="left">
    Madmimi API Key
    </td><td align="left">
    <input name="madmimi_api_key" type="text" size="60" value="<?php echo $madmimi_api_key; ?>"/>
    <p class="description">Enter your Madmimi API key.</p>
    </td></tr>
     
    <tr valign="top"><td width="25%" align="left">
    Madmimi List Name
    </td><td align="left">
    <input name="madmimi_listname" type="text" size="60" value="<?php echo $madmimi_listname; ?>"/>
    <p class="description">Enter your Madmimi listname (affiliates will be added to this list).</p>
    </td></tr>
    
    </table>
        
    <div class="submit">
        <input type="submit" name="wpap_madmimi_save_settings" class="button-primary" value="Save Settings" />
    </div>
        
    </form>
    </div></div>
        
    <?php
    
    echo '</div></div>';
    echo '</div>';//endn of wrap
}